VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::vm::hardware::ConnectionState Class Reference

The `ConnectionState` enumerated type defines the valid states for a removable device that is configured to be connected. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, CONNECTED, RECOVERABLE_ERROR, UNRECOVERABLE_ERROR, NOT_CONNECTED, UNKNOWN }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static ConnectionState[] | GetValues ()
static ConnectionState | ValueOf (string name)
## Static Public Attributes
static readonly ConnectionState | CONNECTED = new ConnectionState("CONNECTED", Values.CONNECTED)
| The device is connected and working correctly.
static readonly ConnectionState | RECOVERABLE_ERROR = new ConnectionState("RECOVERABLE_ERROR", Values.RECOVERABLE_ERROR)
| Device connection failed due to a recoverable error; for example, the virtual device backing is currently in use by another virtual machine.
static readonly ConnectionState | UNRECOVERABLE_ERROR = new ConnectionState("UNRECOVERABLE_ERROR", Values.UNRECOVERABLE_ERROR)
| Device connection failed due to an unrecoverable error; for example, the virtual device backing does not exist.
static readonly ConnectionState | NOT_CONNECTED = new ConnectionState("NOT_CONNECTED", Values.NOT_CONNECTED)
| The device is not connected.
static readonly ConnectionState | UNKNOWN = new ConnectionState("UNKNOWN", Values.UNKNOWN)
| The device status is unknown.

## Detailed Description

The `ConnectionState` enumerated type defines the valid states for a removable device that is configured to be connected.

## Member Enumeration Documentation

enum vmware::vcenter::vm::hardware::ConnectionState::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  CONNECTED | The device is connected and working correctly.
  RECOVERABLE_ERROR | Device connection failed due to a recoverable error; for example, the virtual device backing is currently in use by another virtual machine.
  UNRECOVERABLE_ERROR | Device connection failed due to an unrecoverable error; for example, the virtual device backing does not exist.
  NOT_CONNECTED | The device is not connected.
  UNKNOWN | The device status is unknown.

## Member Function Documentation

Values vmware::vcenter::vm::hardware::ConnectionState::GetEnumValue | ( |  | ) | `[inline]`

static ConnectionState [] vmware::vcenter::vm::hardware::ConnectionState::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::vm::hardware::ConnectionState::IsUnknown | ( |  | ) | `[inline]`

static ConnectionState vmware::vcenter::vm::hardware::ConnectionState::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly ConnectionState vmware::vcenter::vm::hardware::ConnectionState::CONNECTED = new ConnectionState("CONNECTED", Values.CONNECTED)`[static]`

The device is connected and working correctly.

readonly ConnectionState vmware::vcenter::vm::hardware::ConnectionState::NOT_CONNECTED = new ConnectionState("NOT_CONNECTED", Values.NOT_CONNECTED)`[static]`

The device is not connected.

readonly ConnectionState vmware::vcenter::vm::hardware::ConnectionState::RECOVERABLE_ERROR = new ConnectionState("RECOVERABLE_ERROR", Values.RECOVERABLE_ERROR)`[static]`

Device connection failed due to a recoverable error; for example, the virtual device backing is currently in use by another virtual machine.

readonly ConnectionState vmware::vcenter::vm::hardware::ConnectionState::UNKNOWN = new ConnectionState("UNKNOWN", Values.UNKNOWN)`[static]`

The device status is unknown.

readonly ConnectionState vmware::vcenter::vm::hardware::ConnectionState::UNRECOVERABLE_ERROR = new ConnectionState("UNRECOVERABLE_ERROR", Values.UNRECOVERABLE_ERROR)`[static]`

Device connection failed due to an unrecoverable error; for example, the virtual device backing does not exist.

The documentation for this class was generated from the following file:

- ConnectionState.cs